NORMALIZEENABLE(3CgFX)

NAME
NormalizeEnable - 3D API normalize enable

USAGE
NormalizeEnable = bool(enable)

VALID ENUMERANTS
enable: true, false

DESCRIPTION
Enable/disable automatic normalization of vertex normals. See the GL_NORMALIZE description on the OpenGL glEnable manual page for details. See the D3DRS_NORMALIZENORMALS render state description for DirectX 9.

The standard reset callback sets the NormalizeEnable state to bool(false).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
AutoNormalEnable, RescaleNormalEnable, NormalizeNormals